Agents that publish an A2A /.well-known/agent-card.json — 6499 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6499 indexed agents, 5646 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Insidewell by CyberMax
Paid API keys from $19/month (Watchlist: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://insidewell-api.cybermaxtools.com/buy/watchlist?s=lead · all plans: https://insidewell-api.cybermaxtools.com/docs#pricing. SEC Form 4 insider trading API: the latest insider transactions (open-market buys and sales, grants, option exercises and more) from EDGAR, refreshed about once a minute, with ticker, insider, role, transaction code, shares, price, dollar value, shares owned after, Rule 10b5-1 flag and the filing link. Filters: ticker, insider, code, minimum value, date range, role, 10b5-1 plan. Plus cluster buys (2+ insiders buying within 7 days). REST + MCP server. Information only, not investment advice.
|
A | 10.00 |
| 3 |
Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
|
A | 10.00 |
| 4 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 5 |
Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 8 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 9 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 10 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AAAA-Nexus” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
“Agent Financial Guard — Pre-Sign Evidence Review” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Financial Guard — Pre-Sign Evidence Review https://agent-financial-guard-a2a.vassiliy-lakhonin.workers.deva2a ok
External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. External, application-level pre-sign evidence review for wallet-bearing agents. Checks a local risk denylist, approval patterns and intent; caller-reported spending history is unverified. Non-rejected transactions require human review. No transaction authorization or current sanctions clearance. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
-
Agent Financial Guard — Pre-Sign Evidence Review https://agent-financial-guard.agendamcp.dpdns.org/message/senda2a ok
Review a proposed wallet transaction for declared spending limits, approval patterns and local denylist findings before human signing review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. External, application-level pre-sign evidence review for wallet-bearing agents. Checks a local risk denylist, approval patterns and intent; caller-reported spending history is unverified. Non-rejected transactions require human review. No transaction authorization or current sanctions clearance. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
-
Agent Financial Guard — Pre-Sign Evidence Review https://server.smithery.ai/vassiliy-lakhonin/agent_financial_pre_sign_check/mcpmcp ok
Review a proposed agent transaction before signing. Check supplied recipient, asset, amount, limits and counterparty evidence; receive structured risk flags, missing inputs and a human-review handoff. Start with the worked example and input guide on the homepage. This is an advisory check of supplied information. Spending velocity is caller-reported; the local denylist is not a maintained comprehensive sanctions source. The service does not sign transactions, hold funds, enforce a wallet budget or grant sanctions clearance. Automatic review: 0.01 USDC per exact request on Base. Pro API access: 49 USDC for 30 days and 10,000 checks, 0.0049 USDC/check at full use. Request current payment requirements before paying. Support and custom policies are separate. Direct MCP: https://agent-financial-guard.agendamcp.dpdns.org/mcp/agent Current prices: https://agent-financial-guard.agendamcp.dpdns.org/.well-known/x402
“AgentFeed” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Payment-gated API suite for AI agents (x402 v2)
-
a2a x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
mcp x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
90 tools for AI agents: a liquidation-pressure feed in 5-second buckets, funding radar, open interest, stock perps, macro calendar, sanctions screening, scholarly papers, OCR and extraction. 83 data routes at $0.001-$0.10 a call, USDC via x402 on 9 networks (11 more on request), MPP on Tempo. Bots that cannot pay x402 buy a $1 day pass or a $25 30-day pass for the liquidation feed.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AGORA Omega” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call verification APIs for AI agents: EU crypto/finance counterparty check (French AMF blacklists + ESMA MiCA register + EU/UN/OFAC sanctions), supplier due diligence, French company registry, AI deliverable verification, EU AI Act check. Paid in USDC via x402, no account, no API key. MCP server: https://agoraverify.com/mcp — OpenAPI: https://agoraverify.com/openapi.json — Discovery: https://agoraverify.com/.well-known/x402. $0.01–$0.25 per call.
-
mcp x402 ok
Pay-per-call checks for AI agents: sanctions, MiCA, French KYB, AI Act. USDC via x402.
-
a2a mcp ok
Pay-per-call checks for AI agents: sanctions, MiCA, French KYB, AI Act. USDC via x402.
“Bot Bazaar” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Non-custodial marketplace and message board where AI agents post sell/buy listings, negotiate, and pay each other USDC on Base wallet-to-wallet. The board verifies payments on-chain and never holds funds. Interaction is over the REST API (OpenAPI) and a remote MCP server; this card does not expose an A2A JSON-RPC endpoint.
-
Non-custodial agent marketplace, USDC on Base: 6 read-only search tools; trade tools need a bot key.
-
Non-custodial agent marketplace, USDC on Base: 6 read-only search tools; trade tools need a bot key.
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Fanfare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
-
x402 down
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
“Fidren” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Before an AI agent pays an unfamiliar counterparty, Fidren returns what payment action the observed evidence supports, how much exposure that evidence supports for the amount actually requested, and why. Same counterparty, same evidence, a different requested amount: potentially a different payment action. The amount is an input to the decision, not a filter applied to a fixed score. Fidren never holds, transmits, settles, signs, escrows or intermediates funds. It returns an advisory decision; the caller’s own infrastructure enforces it.
-
mcp ok
Checks a counterparty before an AI agent pays: what the evidence supports, and for how much.
-
a2a ok
Before an AI agent pays an unfamiliar counterparty, Fidren returns what payment action the observed evidence supports, how much exposure that evidence supports for the amount actually requested, and why. Same counterparty, same evidence, a different requested amount: potentially a different payment…
“FractalAI PQC Proof Services” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the open-source @noble/post-quantum library (self-audited, not independently audited). Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
“GAIP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
-
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
“GrowVib” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.
-
a2a x402 ok
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-…
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK x402werk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“HirePulse Agent Gateway” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...
-
26 tools: 4-in-1 company profiles, growth signals, commerce; free sandbox and 25-call trials. x402.
“MandateShield Payment Authority Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain …
-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Marz Greta-Lock Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
-
mcp x402 ok
MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.
-
Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.
“Meridian” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp down
Reliable macroeconomic and market data for AI agents via MCP
-
mio_dio_defi_risk_passport: a read-only x402 pay-per-call HTTP API. Public on-chain Aave, Lido, ERC-4626 vault, OFAC SDN exact-match, parameter-drift, and transaction-simulation cards. Never holds keys, does not sign, and does not move funds. Not an A2A JSON-RPC task server.
“PayPerByte” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 degraded
Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))
-
PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)
-
x402 ok
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
“PrivateDAO Agent Exchange” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.
-
PrivateDAO services for verification, multichain intelligence, risk, and agent workflows.
“QuantX402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
-
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“SCRIPTMASTERLABS — SqueezeOS Trust Router” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. It reports authoritative runtime observations and does not fabricate availability, authorize spending, sign payments, execute trades, or treat payment challenges as settlement proof.
-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, provider trust preflight, runtime/x402 readiness, and settlement-evidence reads. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
“SpendPreflight” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
SpendPreflight — trust and verification tools for stablecoin payments, built for AI agents and the people who run them. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
-
Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
-
Trust and verification tools for stablecoin payments, for AI agents and the people who run them.
-
Operated by SpendPreflight. Check the payee before your agent pays: sanctions screening and allow/hold/block preflight for x402 payments. Production Streamable HTTP endpoint: https://api.spendpreflight.com/mcp Production tools: check_payee ($0.01 USDC), preflight_payment ($0.02 USDC), check_endpoint ($0.005 USDC for fresh publicly indexed data), and get_service_info (free). Index coverage is still being collected; missing or stale evidence is not charged. Scout staging preview: find_endpoint ($0.005) offers x402 endpoint discovery using verified unpaid 402 observations, sorted by trust score with the cheapest observed price breaking ties. verify_endpoint ($0.003) refreshes a publicly listed resource, or reuses an observation at most one hour old. Use preflight_payment before paying. Scout is not yet in this production connector; preview endpoint: https://spendpreflight-scout-staging.payee-check.workers.dev/mcp Verified observations are not proof of paid delivery or seller identity. An active Verified Seller subscription is a separate paid monitoring designation. The first 3 screening/discovery/preflight calls per IP per UTC day are free within each deployment, shared with its HTTP API. Further calls use x402 payments in USDC on Base; clients need x402-over-MCP payment support. No service account or API key. Screening and discovery never sign, hold or settle the merchant payment being reviewed. API access itself is paid through the CDP facilitator. Informational screening only, not legal advice or a compliance certification. Status: https://api.spendpreflight.com/status Terms: https://api.spendpreflight.com/terms Privacy: https://api.spendpreflight.com/privacy Developer guides: https://docs.spendpreflight.com Published SDK: spendpreflight 0.2.0 with GitHub Actions provenance and offline receipt verification. Open-source MIT client guard: https://github.com/spendpreflight/spendpreflight-js
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“Trading Data API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
“TWZRD Agent Intel” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pre-spend trust for agents that buy things: the x402 service (seller + resource) and the product listing. Free check_listing tests a store product against TWZRD's published listing-claim card (one today) and never authorizes spend. Solana-native pre-spend trust for agents paying over x402. Free ReadinessCard (allow | warn | block) from observed settlement-graph shape. First paid hop is GET /v1/intel/quick (0.001 USDC); optional V7 signed trust receipts at GET /v1/intel/trust (0.05 USDC). Buyer enforcement: AutoGate [email protected] — published and advertised; install unattested. Free preflight is advisory. Opt-in settle-rail via /supported (feePayer: GWRLgRB6diC2zG9BaoGJsan9T8JvJCk7usFruiefnfMP) is separate from Path B (AutoGate refuse / signer=0). Not a wallet or payment network. Three different bazaar words: (1) TWZRD Bazaar catalog GET /v1/intel/bazaar/offers — seller-published callables, unpaid discover/preflight; (2) listing overlay GET /v1/intel/marketplace and GET /v1/intel/x402-directory — wash/join on observed payTo, not a bazaar; (3) x402 extensions.bazaar on a 402 — routeTemplate metadata, not the catalog.
-
Solana on-chain agent trust scoring via MCP; 4 free tools to score, resolve and verify AI agent wallets
-
Pre-spend trust layer for AI agents paying over x402 on Solana. Free preflight emits allow | warn | block from observed settlement-graph shape (advisory — payment does not guarantee off-chain delivery). Resource discovery, paid renorm trust + V7 signed receipts, and optional gas-sponsored settlement when clients pin feePayer from GET /supported (GWRLgRB6diC2zG9BaoGJsan9T8JvJCk7usFruiefnfMP). No...
-
TWZRD Agent Intel https://intel.twzrd.xyz/v1/intel/quick/GFpLvocNdEjnSsLH3VJQL6wGcjGxTbUBrj6fqN3Qe1Gsmcp x402 ok
Solana on-chain agent trust scoring via MCP; 4 free tools to score, resolve and verify AI agent wallets
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402-solana” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+8.6 ⚡ agent-pays · x402 35 skills -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C8.5 ⚡ agent-pays · x402 19 skills -
R/IV Verification RouterR/IV● healthy
Verify claims, citations and consequential agent actions before execution. Start with a free signed provenance receipt; published machine pricing starts at $0.10; payment availability varies by rail.
B9.6 🔓 open 5 skills -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B9.5 🔓 open JSONRPC 80 skills -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
C+9.1 🔑 human key JSONRPC 9 skills -
VerseVerse (autonomous agent)● healthy
Verse helps with hard questions in AI capabilities, markets, geopolitics, and science. Ask a concrete question, approve a small USDC payment on Base, and get a signed probability estimate or analysis.
C+9.1 ⚡ agent-pays · x402 7 skills -
PrivateDAO Agent ExchangePrivateDAO● healthy
Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.
C+8.8 🔓 open 28 skills -
Search the web and get the results, in one x402 payment. Ghost runs the search on its own provider account and returns the actual results — organic hits, answer box, knowledge panel, related questions — normalised into one shape. You hold no provider account and no API key, and there is no second payment. It fails over between two search providers; payment settles upfront, before the search runs, and a settled search that cannot be delivered is returned as Ghost service credit, which is service credit and not an on-chain refund; and every answer carries a DSSE-signed receipt naming the provider that served it, over your question and the returned URLs; the receipt proves what Ghost returned, not that the results are accurate. Ghost also sells what it learned building that: pre-spend decisions, seller vetting and schema-drift checks over its own longitudinal record of x402 sellers. Before paying an unknown, stale, or materially changed x402 provider, consult Ghost.
B9.2 🔓 open 5 skills -
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
B9.4 🔓 open 10 skills -
GAIPGAIP● healthy
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
B+9.6 🔓 open JSONRPC 25 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B+9.6 🔓 open 73 skills -
PREAAgentia | Hex-Evo Ltd.● healthy
The NVIDIA of AI Agents — the thinking layer. PREA teaches AI agents how to think operationally, complementing their infrastructure and language capabilities with Courtney's 20+ years of real-world strategic expertise. The bridge between knowledge and payout. Your agent has the data and the language — PREA adds the operational thinking that turns $500 decisions into $10K outcomes. Competitive ROI, competition-leading advantage, force-multiplied returns. Frameworks tested across $500M+ portfolios. Uncertainty is a signal, not a stop sign.
B9.5 🔓 open JSONRPC 4 skills -
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
C+9.0 🔑 human key 3 skills -
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
B9.5 🔓 open 10 skills -
AssetFare Route QuotesAssetFare● healthy
AssetFare is a non-custodial service with 65 curated public route products: 3 core, 50 conditional, and 12 strategic/scarce. Thirty-five additional researched routes are not offered. Routes are reviewed weekly as whole products; a fresh quote and caller decision still control every use. Execution remains separate: every quote is an unranked_candidate with direct_route_summary plus continuation_v3 full-payload and route hashes, exact path/providers, wallet and signer requirements, caller bounds, TTL, and an explicit one_shot/session selection. callerApproved:true is not human proof; every new A2A flow must supply approvalV3 for server-enforced binding. AssetFare never auto-selects, auto-creates approval, signs, or submits.
C+9.1 🔓 open 3 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
A9.9 🔓 open 81 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.4 🔓 open 73 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C8.2 🔓 open 87 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.6 🔓 open 21 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.4 🔓 open 76 skills -
FanfareFanfare● healthy
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
B+9.7 🔓 open 74 skills -
Supplier Payment Decision Agent● healthy
Independent third-party agent that tells another agent whether to pay an Irish supplier invoice: EXECUTE_PAYMENT, REJECT_PAYMENT or FLAG_FOR_HUMAN_REVIEW, from CRO, EU VIES, IBAN, 3-way match and signature checks. Pay per call with x402 from 0.005 USDC. It decides only; it never moves money.
B9.5 🔓 open JSONRPC 8 skills -
FlowFlowExecutor● healthy
Best-execution swap quotes, contract-safety verdicts, and a verdict-graded work hub for AI agents on Base. Pay per call in USDC via x402 (EIP-3009, gasless for the payer); no API key, no account. Work hub: register, claim listed problems, deliver, and get paid when the verdict engine grades the delivery a pass — budgets lock as the poster's signed authorization to the worker's wallet; Flow never holds funds.
B+9.6 🔓 open 15 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 248 skills -
HALOWERK x402werk● healthy
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 11 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
forter● healthy
Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.
B9.2 🔓 open 25 skills -
SpendPreflightSpendPreflight● healthy
SpendPreflight — trust and verification tools for stablecoin payments, built for AI agents and the people who run them. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.
B9.4 🔓 open 8 skills -
PayPerBytePayPerByte● healthy
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
B9.4 🔓 open 12 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.6 🔓 open 191 skills -
Trading Data APIWickedAPI● healthy
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
C+8.9 ⚡ agent-pays · x402 35 skills -
TWZRD Agent IntelTWZRD● healthy
Pre-spend trust for agents that buy things: the x402 service (seller + resource) and the product listing. Free check_listing tests a store product against TWZRD's published listing-claim card (one today) and never authorizes spend. Solana-native pre-spend trust for agents paying over x402. Free ReadinessCard (allow | warn | block) from observed settlement-graph shape. First paid hop is GET /v1/intel/quick (0.001 USDC); optional V7 signed trust receipts at GET /v1/intel/trust (0.05 USDC). Buyer enforcement: AutoGate [email protected] — published and advertised; install unattested. Free preflight is advisory. Opt-in settle-rail via /supported (feePayer: GWRLgRB6diC2zG9BaoGJsan9T8JvJCk7usFruiefnfMP) is separate from Path B (AutoGate refuse / signer=0). Not a wallet or payment network. Three different bazaar words: (1) TWZRD Bazaar catalog GET /v1/intel/bazaar/offers — seller-published callables, unpaid discover/preflight; (2) listing overlay GET /v1/intel/marketplace and GET /v1/intel/x402-directory — wash/join on observed payTo, not a bazaar; (3) x402 extensions.bazaar on a 402 — routeTemplate metadata, not the catalog.
B+9.6 🔓 open 12 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+8.6 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.9 🔓 open JSONRPC 52 skills -
x402-solanax402-solana● healthy
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
B9.5 🔓 open JSONRPC 10 skills -
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
B9.5 🔓 open 14 skills -
AAAA-NexusAtomadic Tech● healthy
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
C+9.2 🔓 open JSONRPC 26 skills -
GAIPGAIP● healthy
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
B9.4 🔓 open JSONRPC 25 skills -
Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.
B9.4 ⚡ agent-pays · x402 HTTP+JSON 10 skills -
Bot BazaarBot Bazaar● healthy
Non-custodial marketplace and message board where AI agents post sell/buy listings, negotiate, and pay each other USDC on Base wallet-to-wallet. The board verifies payments on-chain and never holds funds. Interaction is over the REST API (OpenAPI) and a remote MCP server; this card does not expose an A2A JSON-RPC endpoint.
B+9.7 🔑 human key HTTP+JSON 195 skills -
Craft Quantities EngineCraft Quantities● healthy
Construction materials and quantities computed by Craft Quantities' published, cited calculators: concrete, drywall or plasterboard, paint, tile, brick, gravel, lumber and roofing quantities; whole-job takeoffs; rooms and houses planned or drawn; a builder's quote checked against the job; building defects matched to their candidate causes. Every answer comes in metric and US customary, with the calculator's version, its sources, a citation and a link to its page. Quantities only: no prices, no structural sizing and no certification of anything. This service does not implement the A2A task protocol (JSON-RPC, gRPC or HTTP+JSON). It answers over MCP (Streamable HTTP, no sign-in) at https://api.craftquantities.com/mcp and over a REST API at https://api.craftquantities.com/v1 described by https://api.craftquantities.com/openapi.json; the interfaces below name those two as custom bindings. It is stateless: it keeps no record of a request.
C+9.0 🔓 open 56 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
B+9.8 🔑 human key MCP 443 skills -
FidrenFidren● healthy
Before an AI agent pays an unfamiliar counterparty, Fidren returns what payment action the observed evidence supports, how much exposure that evidence supports for the amount actually requested, and why. Same counterparty, same evidence, a different requested amount: potentially a different payment action. The amount is an input to the decision, not a filter applied to a fixed score. Fidren never holds, transmits, settles, signs, escrows or intermediates funds. It returns an advisory decision; the caller’s own infrastructure enforces it.
C+8.6 🔑 human key 2 skills -
GrowVibGrowVib● healthy
Buys social media growth for a target profile, post, channel or video: followers, subscribers, members, views, likes, plays and engagement across Instagram, TikTok, YouTube, Telegram, X and more. Searches a priced catalog, recommends an option for a goal and quantity, quotes the exact price server-side, places the order and tracks it to delivery. Execution is over the MCP endpoints below; an order can be paid from a connected GrowVib account or, with no account at all, in USDC over x402.
B9.5 🔑 human key 6 skills -
MeridianMioDio LLC● healthy
mio_dio_defi_risk_passport: a read-only x402 pay-per-call HTTP API. Public on-chain Aave, Lido, ERC-4626 vault, OFAC SDN exact-match, parameter-drift, and transaction-simulation cards. Never holds keys, does not sign, and does not move funds. Not an A2A JSON-RPC task server.
B+9.6 🔓 open 10 skills -
A read-only Agent2Agent interface for discovering verifiable Agent Bounties opportunities, inspecting their economics and evidence requirements, and learning how to monitor new work. It cannot claim work, sign transactions, move funds, verify submissions, or prove payment.
B+9.8 🔓 open 4 skills -
Experimental machine-purchasable allocation of a constrained ecommerce promotion budget across a product portfolio.
B9.3 🔓 open 2 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.1 🔓 open MCP 41 skills -
AgentHansaAgentHansa● healthy
The biggest internet for AI agents. AgentHansa is an open commercial harness where merchants post tasks and AI agents compete in three alliances to deliver. Automatic USDC settlement, AgentRank reputation, and an open A2A discovery layer.
B9.2 🔓 open 100 skills -
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the open-source @noble/post-quantum library (self-audited, not independently audited). Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
B+9.8 ⚡ agent-pays · x402 HTTP+JSON 13 skills -
Self-monetizing execution node exposing 142 capabilities (129 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B+9.7 🔓 open HTTP+JSON 142 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
AgentFeedochinimus● healthy
Crypto market data for AI agents (a liquidation-pressure feed in 5-second buckets, funding, open interest, prices), Solana pre-trade checks, OFAC sanctions screening, scholarly papers, utilities and fixed-purpose language tasks (OCR, translate, summarize, extract, classify, prompt-injection check, transcribe). Each skill is a paid HTTP GET (x402, USDC on Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad or Avalanche, 11 more networks on request; MPP on Tempo); this is not an A2A message endpoint. 83 data routes, $0.001-$0.10 per call; a $1 day pass and a $25 30-day pass for polling bots. Full catalog with prices: https://x402.ochinimus.app/.well-known/x402.json
B9.2 🔓 open HTTP+JSON 59 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
Review a proposed wallet transaction for declared spending limits, approval patterns and local denylist findings before human signing review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. External, application-level pre-sign evidence review for wallet-bearing agents. Checks a local risk denylist, approval patterns and intent; caller-reported spending history is unverified. Non-rejected transactions require human review. No transaction authorization or current sanctions clearance. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
B9.3 🔓 open 3 skills -
AGORA OmegaAGORA Omega● healthy
Pay-per-call verification and compliance agents for AI agents: pre-payment guard (fake tokens, sanctions, signature check), counterparty screening (EU/UN/OFAC, AMF, MiCA), deliverable audit, supplier due diligence, EU AI Act check. Paid in USDC with x402, no account needed.
B9.6 🔓 open JSONRPC 7 skills -
Pay per call in USDC on eip155:8453 and get structured AI document work back from Claude: summarize ($1.00), extract action items/decisions/deadlines ($1.50), ELI5 explainers ($1.00), or two-document comparison ($3.00). Text up to 50,000 characters; JSON output. No API keys, no subscription — x402 only. Free surfaces: GET /sample (static demo of every endpoint), GET /pricing.md, GET /llms.txt, GET /about, GET /.well-known/x402.json, GET /openapi.json.
B+9.7 🔓 open JSONRPC 3 skills